This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1300836 - SELinux is preventing cups-pk-helper- from 'write' accesses on the directory /tmp.
SELinux is preventing cups-pk-helper- from 'write' accesses on the directory ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Unspecified
high Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ba64a5086d17d94a0ecfc6a1aa8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 16:51 EST by Joachim Frieben
Modified: 2016-02-03 08:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 08:36:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2016-01-21 16:51:35 EST
Description of problem:
SELinux is preventing cups-pk-helper- from 'write' accesses on the directory /tmp.

*****  Plugin restorecon (99.5 confidence) suggests   ************************

If you want to fix the label. 
/tmp default label should be tmp_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /tmp

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that cups-pk-helper- should be allowed write access on the tmp directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep cups-pk-helper- /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:cupsd_config_t:s0-s0:c0.c1023
Target Context                system_u:object_r:tmpfs_t:s0
Target Objects                /tmp [ dir ]
Source                        cups-pk-helper-
Source Path                   cups-pk-helper-
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           filesystem-3.2-35.fc24.x86_64
Policy RPM                    selinux-policy-3.13.1-168.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.5.0-0.rc0.git6.1.fc24.x86_64 #1
                              SMP Tue Jan 19 18:57:42 UTC 2016 x86_64 x86_64
Alert Count                   246
First Seen                    2016-01-21 22:26:20 CET
Last Seen                     2016-01-21 22:27:21 CET
Local ID                      375845e5-7c60-46c6-b937-38438231d2d3

Raw Audit Messages
type=AVC msg=audit(1453411641.391:1760): avc:  denied  { write } for  pid=3181 comm="cups-pk-helper-" name="/" dev="tmpfs" ino=13486 scontext=system_u:system_r:cupsd_config_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0


Hash: cups-pk-helper-,cupsd_config_t,tmpfs_t,dir,write

Version-Release number of selected component:
selinux-policy-3.13.1-168.fc24.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.5.0-0.rc0.git6.1.fc24.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2016-02-03 08:36:50 EST
Will be fixed in new systemd release.
https://github.com/evverx/systemd/commit/373bf8c037125039fdfd8637544ce6242beede9c

Note You need to log in before you can comment on or make changes to this bug.